%bcond_without dotests

%global __tar /opt/freeware/bin/tar

%global py_major 3.9

%global python_major python%{py_major}

%global pkgname lxml

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")

Name:           %{python_major}-%{pkgname}
Version:        5.2.1
Release:        1
Summary:        XML processing library combining libxml2/libxslt with the ElementTree API
License:        BSD
URL:            https://lxml.de
Source0:        https://github.com/lxml/lxml/releases/download/%{pkgname}-%{version}/%{pkgname}-%{version}.tar.gz


BuildRequires:  %{python_major}-devel >= %{py_major}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
BuildRequires:  libxml2-devel >= 2.10.4
BuildRequires:  libxslt-devel >= 1.1.37
BuildRequires:  coreutils

Requires:       %{python_major} >= %{py_major}.19
Requires:       libxml2 >= 2.10.4
Requires:       libxslt >= 1.1.37


%description
lxml is a Pythonic, mature binding for the libxml2 and libxslt libraries. It\
provides safe and convenient access to these libraries using the ElementTree It\
extends the ElementTree API significantly to offer support for XPath, RelaxNG,\
XML Schema, XSLT, C14N and much more.

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.19
Requires:      %{name} = %{version}-%{release}

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n %{pkgname}-%{version}


%build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} -m pip install . --root %{buildroot} -I --no-deps


%check
%if %{with dotests}

# The tests assume inplace build, so we copy the built library to source-dir.
# If not done that, Python can either import the tests or the extension modules, but not both.
/opt/freeware/bin/cp -a build/lib.aix*/* src/

export PYTHONPATH=%{buildroot}%{python3_sitearch}
%{python_major} -m venv python_venv
. ./python_venv/bin/activate
%{python_major} -m pip install lxml_html_clean
# The options are: verbose, unit, functional
%{python_major} test.py -vuf
deactivate

%endif


%files
%defattr(-,root,system,-)
%license LICENSE.txt LICENSES.txt
%doc  README.rst
%{python3_sitearch}/*

%files -n %{meta_package}
%defattr(-,root,system,-)

%changelog
* Wed May 1 2024 Ayappan Perumal <ayappap2@in.ibm.com> - 5.2.1-1
- First port for AIX Toolbox
